Get a tournament and its seasons (v1)
Returns a tournament with its category, title holder, most titles, current season dates and every season id. An unknown id returns data: null.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
id*integer
Tournament id.
Range
1 <= valuecurl -X GET "https://example.com/v1/sofascore/tournament?id=17" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "id": 0, "name": "string", "slug": "string", "category": { "id": 0, "name": "string", "slug": "string", "sport": "string", "country": { "code": "string", "name": "string" } }, "gender": "string", "tier": 0, "title_holder": { "id": 0, "name": "string", "short_name": "string", "slug": "string", "name_code": "string", "national": true, "gender": "string", "country": { "code": "string", "name": "string" }, "ranking": 0 }, "title_holder_titles": 0, "most_titles": 0, "most_titles_teams": [ { "id": 0, "name": "string", "short_name": "string", "slug": "string", "name_code": "string", "national": true, "gender": "string", "country": { "code": "string", "name": "string" }, "ranking": 0 } ], "start_date": "string", "end_date": "string", "has_rounds": true, "has_groups": true, "seasons": [ { "id": 0, "name": "string", "year": "string" } ] }, "details": { "reason": "string", "message": "string" }}